#
# spec file for package markdown-oxide
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           markdown-oxide
Version:        0.25.0
Release:        1.3
Summary:        A markdown language server with Obsidian syntax support
License:        Apache-2.0
URL:            https://github.com/Feel-ix-343/markdown-oxide
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging

%description
A markdown language server with Obsidian syntax support.
Markdown Oxide does not aim to fully replace Obsidian; it serves to
provide a feature rich and advanced note taking experience.

%prep
%autosetup -a1 -p1

%build
%{cargo_build}

%check
%{cargo_test}

%install
# locked is required due to a missing lockfile on tower-lsp
%{cargo_install} --locked

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Tue Dec 10 2024 Joshua Smith <smolsheep@opensuse.org>
- Update to version 0.25.0:
  * support link resolution for link referencing sections in the
    same file as the link
* Fri Nov  1 2024 Joshua Smith <smolsheep@opensuse.org>
- Update to version 0.24.3:
  * Update LICENSE to Apache-2.0
* Wed Oct 16 2024 Joshua Smith <smolsheep@opensuse.org>
- Update to version 0.24.2:
  * Fix rename adding path in the renamed version
- Updates from version 0.24.1:
  * add --version -v flag
- Updates from version 0.24.0:
  * fix hover issue (in GUI editors) when hovering over non-links
* Sun Sep 29 2024 Joshua Smith <smolsheep@opensuse.org>
- Remove remove-unstable-rust.patch -- Fixed upstream
- Update to version 0.23.2:
  * Added daily files configuration
* Fri Jul  5 2024 Joshua Smith <smolsheep@opensuse.org>
- Add remove-unstable-rust.patch -- Allow building with stable rust
- Update to version 0.23.1:
  * fix some zed bugs
- Updates from version 0.23.0:
  * Update Cargo.toml with the new version number
  * Add helix daily note commands, accessible by
    :lsp-workspace-command {command}
- Updates from version 0.22.0:
  * feat: support for cargo binstall
  * Define PKM in the readme (hah)
  * Use LSP commands to open/create daily notes (by the format
    either imported from your obsidian settings or in the config
    you provide). There is now Today, Tomorrow, Yesterday, and
    Daily {natural language} (Daily three days ago). You may have
    to modify your editor config; check the README -- and I have
    only tested this on Neovim:
  * Add option to set the folder to create daily notes
  * Configure whether to add a .md extension to markdown and
    wikilink completions; this also modifies the parser to parse
    links with this:
  * Add config options for respecting/ignorice character case in
    fuzzy matching: Smart, Ignore, Respect.
  * updated the tag parsing, it should be more aligned with common
    mark spec now
- Updates from version 0.0.21:
  * fix: parse root_dir
- Updates from version 0.0.20:
  * feat: support no root_dir (limited functionality in neovim)
  * fix: Using in Helix fails without Git initialized
* Mon Apr 22 2024 Joshua Smith <smolsheep@opensuse.org>
- Update to version 0.0.19:
  * fix: extra bracket in wikilink completions
  * fix: remove the printlns to fix vscode erroring
  * don't parse data:image
  * fix code block parsing
* Thu Apr 18 2024 Joshua Smith <smolsheep@opensuse.org>
- Update to version 0.0.17:
  * Move cursor to position after link when inserting link
  * fix: don't parse . extensions other than .md
* Mon Apr 15 2024 Joshua Smith <smolsheep@opensuse.org>
- Initial package of markdown-oxide for openSUSE.
